RDKit: RDKit::ReactionPickler Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
RDKit::ReactionPickler Class Reference

handles pickling (serializing) reactions More...

`#include <ReactionPickler.h>`

## Public Types
enum | Tags { VERSION = 10000, BEGINREACTANTS, ENDREACTANTS, BEGINPRODUCTS, ENDPRODUCTS, BEGINAGENTS, ENDAGENTS, ENDREACTION }
| mark the endian-ness of the pickle More...

## Static Public Member Functions
static void | pickleReaction (const ChemicalReaction *rxn, std::ostream &ss)
| pickles a reaction and sends the results to stream `ss` More...
static void | pickleReaction (const ChemicalReaction &rxn, std::ostream &ss)
static void | pickleReaction (const ChemicalReaction *rxn, std::string &res)
| pickles a reaction and adds the results to string `res` More...
static void | pickleReaction (const ChemicalReaction &rxn, std::string &res)
static void | reactionFromPickle (const std::string &pickle, ChemicalReaction *rxn)
| constructs a reaction from a pickle stored in a string More...
static void | reactionFromPickle (const std::string &pickle, ChemicalReaction &rxn)
static void | reactionFromPickle (std::istream &ss, ChemicalReaction *rxn)
| constructs a reaction from a pickle stored in a stream More...
static void | reactionFromPickle (std::istream &ss, ChemicalReaction &rxn)

## Static Public Attributes
static const boost::int32_t | versionMajor
static const boost::int32_t | versionMinor
static const boost::int32_t | versionPatch
| mark the pickle version More...
static const boost::int32_t | endianId

## Detailed Description

handles pickling (serializing) reactions

Definition at line 38 of file ReactionPickler.h.

## Member Enumeration Documentation

enum RDKit::ReactionPickler::Tags

mark the endian-ness of the pickle

the pickle format is tagged using these tags: NOTE: if you add to this list, be sure to put new entries AT THE BOTTOM, you will break old pickles.

Enumerator
VERSION |
BEGINREACTANTS |
ENDREACTANTS |
BEGINPRODUCTS |
ENDPRODUCTS |
BEGINAGENTS |
ENDAGENTS |
ENDREACTION |

Definition at line 48 of file ReactionPickler.h.

## Member Function Documentation

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction * | rxn,
|  | std::ostream & | ss
| ) |  |
| static

pickles a reaction and sends the results to stream `ss`

Referenced by pickleReaction().

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction & | rxn,
|  | std::ostream & | ss
| ) |  |
| inlinestatic

Definition at line 61 of file ReactionPickler.h.

References pickleReaction().

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction * | rxn,
|  | std::string & | res
| ) |  |
| static

pickles a reaction and adds the results to string `res`

static void RDKit::ReactionPickler::pickleReaction | ( | const ChemicalReaction & | rxn,
|  | std::string & | res
| ) |  |
| inlinestatic

Definition at line 66 of file ReactionPickler.h.

References pickleReaction().

static void RDKit::ReactionPickler::reactionFromPickle | ( | const std::string & | pickle,
|  | ChemicalReaction * | rxn
| ) |  |
| static

constructs a reaction from a pickle stored in a string

Referenced by reactionFromPickle().

static void RDKit::ReactionPickler::reactionFromPickle | ( | const std::string & | pickle,
|  | ChemicalReaction & | rxn
| ) |  |
| inlinestatic

Definition at line 73 of file ReactionPickler.h.

References reactionFromPickle().

static void RDKit::ReactionPickler::reactionFromPickle | ( | std::istream & | ss,
|  | ChemicalReaction * | rxn
| ) |  |
| static

constructs a reaction from a pickle stored in a stream

static void RDKit::ReactionPickler::reactionFromPickle | ( | std::istream & | ss,
|  | ChemicalReaction & | rxn
| ) |  |
| inlinestatic

Definition at line 80 of file ReactionPickler.h.

References reactionFromPickle().

## Member Data Documentation

const boost::int32_t RDKit::ReactionPickler::endianId
| static

Definition at line 42 of file ReactionPickler.h.

const boost::int32_t RDKit::ReactionPickler::versionMajor
| static

Definition at line 40 of file ReactionPickler.h.

const boost::int32_t RDKit::ReactionPickler::versionMinor
| static

Definition at line 40 of file ReactionPickler.h.

const boost::int32_t RDKit::ReactionPickler::versionPatch
| static

mark the pickle version

Definition at line 40 of file ReactionPickler.h.

The documentation for this class was generated from the following file:

- ReactionPickler.h